Bug 176523 - Review Request: python-json: A JSON reader and writer for Python
Review Request: python-json: A JSON reader and writer for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT 176532
  Show dependency treegraph
 
Reported: 2005-12-24 01:46 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-07 21:48:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2005-12-24 01:46:01 EST
Spec Name or Url: http://fedora.ivazquez.net/files/extras/python-json.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/python-json-3_4-1.src.rpm
Description: json.py is an implementation of a JSON (http://json.org) reader and writer in Python.
Comment 1 Jeff Pitman 2005-12-29 23:35:26 EST
I know upstream uses `_', but wouldn't be more aesthetically pleasing, for rpm,
to use `.'?
Comment 3 John Mahowald 2006-02-04 10:29:56 EST
Minor:
Doesn't %ghost *.pyo like the python template does.

Good:

- rpmlint clean

- package meets naming guidelines
- package meets packaging guidelines
- license (LGPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

- unit tests pass

APPROVED
Comment 4 Ignacio Vazquez-Abrams 2006-02-07 21:48:51 EST
Built for FC4 and devel.

Note You need to log in before you can comment on or make changes to this bug.